Skip to content

Checkmate REST API (1.0.0)

Checkmate API for launching background checks from your side using Checkmate.

Contact

Download OpenAPI description
Languages
Servers
Mock server
https://docs.checkmate.tech/_mock/api
Staging
https://staging-api.checkmate.tech/partners/v1
Production
https://api.checkmate.tech/partners/v1

OAuth token authorization

Basic Authorization

If you are not planning to build a multi-tenant integration then, we encorauge you to skip OAuth authentication and use your Checkmate account token instead. You can grab it from your Partner's page under "Account API"

Remember to store it safely!

Basic Authorization

placeholder

Operations
Operations
Operations

Pre-configured check bundles

Operations
Operations
Operations
Operations
Operations
Operations
Operations

Company-enabled checks

Operations

Forms (reference, questionnaire, etc.)

Operations
Operations

Request

Retrieves upload object.

Security
bearerAuth
Path
upload_idstringrequired
curl -i -X GET \
  'https://docs.checkmate.tech/_mock/api/uploads/{upload_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Upload details

Bodyapplication/json
resultobject(Upload)
statusinteger
Example: 200
errorobject or null
Response
application/json
{ "result": { "id": 2589, "file_name": "dummy_result.pdf", "file_type": "application/pdf", "created_at": "2021-07-03T16:44:56+02:00", "url": "https://checkmate-staging.s3.ap-southeast-2.amazonaws.com/backg..." }, "status": 200, "error": {} }

Request

Deletes an upload.

Security
bearerAuth
Path
upload_idstringrequired
curl -i -X DELETE \
  'https://docs.checkmate.tech/_mock/api/uploads/{upload_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Boolean success

Bodyapplication/json
resultboolean
Example: true
statusinteger
Example: 200
errorobject or null
Response
application/json
{ "result": true, "status": 200, "error": {} }

Request

Retrieves upload file data base64 encoded or null if not present.

Security
bearerAuth
Path
upload_idstringrequired
curl -i -X GET \
  'https://docs.checkmate.tech/_mock/api/uploads/{upload_id}/base_64' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Base64 encoded file or null

Bodyapplication/json
string
Response
application/json
"string"
Webhooks are unique per partner and company!

Only one webhook can exists for a partner and company. You will only get updates notifications on candidates created under this context.

E.g. If you subscribe to a webhook using your Account API token you won't be get notified about updates on candidates created directly on the web application or other partners.

:global parameter

:global parameter is the only exception to the above. If global=true you will get notifications on all candidates created through the API. You still won't get notifications on candidates created from the web application as they don't belog to the API.

Operations